package com.inspect.patrol.service;

import com.inspect.patrol.domain.PatrolPosInfrared;

import java.util.List;

public interface IPatrolPosInfraredService {
    PatrolPosInfrared selectPatrolPosInfraredByPatrolPosInfraredId(Long id);

    List<PatrolPosInfrared> selectPatrolPosInfraredList(PatrolPosInfrared infrared);

    int insertPatrolPosInfrared(PatrolPosInfrared infrared);

    int updatePatrolPosInfrared(PatrolPosInfrared infrared);

    int deletePatrolPosInfraredByPatrolPosInfraredIds(Long[] ids);

    int deletePatrolPosInfraredByPatrolPosInfraredId(Long id);
}
